import './assets/main.css'
import './styles/common.css'

import { createApp } from 'vue'
import { createPinia } from 'pinia'

import App from './App.vue'
import router from './router'
import vant from 'vant'
import { ConfigProvider } from 'vant';
import 'vant/lib/index.css'

// 注册 Service Worker
import { register } from './registerServiceWorker'

const app = createApp(App)

app.use(createPinia())
app.use(router)
app.use(vant)
app.use(ConfigProvider);

app.mount('#app')

// 在生产环境注册 Service Worker
if (import.meta.env.PROD) {
  register()
}
